Kerbal Space Program - Bug #18655

Duplicate - During rescue mission the kerbal isn't visible in the fly Ul.
04/23/2018 06:02 PM - kalmor

Status: Duplicate Start date: 04/23/2018
Severity: Low % Done: 100%
Assignee:

Category: Gameplay

Target version:

Version: 1.4.2 Language: English (US)
Platform: Windows Mod Related: No
Expansion: Making History

Description

So | was doing an orbital rescue mission, when | noticed, that upon getting into the proximity of the holding object (inflatable airlock) |
could not retrieve the kerbal when | tried to fly the lock and manually EVA him (Desmon) because simply he did not show up in the
bottom right corner. in this save file | have tried to bring the airlock to ksc, but still with a successful landing | couldn't get him. In the
tracking station and astronaut complex he is clearly in the (now captured) wreck: Desmon's Capsule. The only used mod is Kerbal
Alarm Clock.

Related issues:
Is duplicate of Kerbal Space Program - Bug #18471: Rescue contract spawned Ke... Closed 04/09/2018

History

#1 - 04/23/2018 08:52 PM - jclovis3

- Subject changed from During rescue mission the kerbal isn't visible in the fly Ul to Duplicate - During rescue mission the kerbal isn't visible in the fly
ul

Already covered by Bug #18471.

Note, we have found that if you grab the airlock with the claw, then left click once on the hatch of the inflatable docking port and you will have the
option to EVA or Transfer the kerbal inside. Use this to transfer him/her into another part then release the docking port. Note, you should shut down
any drilling operations as this creates an unstable movement that makes the menu close quickly when you open it.

#2 - 04/24/2018 12:00 PM - kalmor
- File hard.7z added

| have tried that as well, but forgot to mention it. If you load this save and look at the ssto 10t plane, you will see that in both the astronaut complex
and tracking station he is listed in this craft. But upon flying the vessel he is not on the Ul, and the inflatable airlock has no crew related options.

#3 - 04/24/2018 12:20 PM - kalmor

- Subject changed from Duplicate - During rescue mission the kerbal isn't visible in the fly Ul to During rescue mission the kerbal isn't visible in the fly
ul

#4 - 04/24/2018 12:21 PM - kalmor

- Subject changed from During rescue mission the kerbal isn't visible in the fly Ul to During rescue mission the kerbal isn't visible in the fly Ul, and not
retrievable from the captured airlock via transfer.

#5 - 04/24/2018 10:58 PM - jclovis3
- File Click Here.png added

As also addressed in the other bug report, when you switch vehicles, you lose the portrait so you can't use it for EVA, but if you click on the part, then
a menu will pop up allowing you to transfer him into another part. This will cause the portrait to appear for that part so you can EVA if you want. Note
that you have to grab the part because someone already reported that the EVA option here does not work, so you have to transfer the Kerbonaut into
another part.

Best to follow up with any other difficulties with this bug using Bug #18471 so we're not tracking two conversations.

#6 - 04/25/2018 08:07 PM - kalmor
https://bugs.kerbalspaceprogram.com/issues/18471
https://bugs.kerbalspaceprogram.com/issues/18471

- Subject changed from During rescue mission the kerbal isn't visible in the fly Ul, and not retrievable from the captured airlock via transfer. to
Duplicate - During rescue mission the kerbal isn't visible in the fly UI.

Yeah, you are right. But | would have never figured out, that you need to left click, and not right click for the context menu. | can confirm, that only
transfer works in this case. When | tried to EVA without capture the game said, that the hatch is obstructed.

#7 - 04/26/2018 11:00 PM - Squelch
- Status changed from New to Duplicate

- % Done changed from 0 to 100

#8 - 04/26/2018 11:00 PM - Squelch

- Is duplicate of Bug #18471: Rescue contract spawned Kerbal inside an uninflated inflatable airlock added

Files

hard.7z 2.4 MB 04/23/2018 kalmor
hard.7z 2.46 MB 04/24/2018 kalmor
Click Here.png 190 KB 04/24/2018 jclovis3
